﻿@using Isen.DotNet.Library.Models.Implementation;
@{
    ViewData["Title"] = "Addresses";
}
@model IEnumerable<Address>
<div class="row">
    <div class="col-md-12">
        <h1>Adresses <small>/address/index</small></h1>
    </div>
</div>
<div class="row">
    <a class="btn btn-default"
       asp-controller="Address" asp-action="Detail">Ajouter une addresse...</a>
</div>
<div class="row">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>#</th>
                <th>TextLine</th>
                <th>ZipCode</th>
                <th>Town</th>
                <th>Latitude</th>
                <th>Longitude</th>

                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var address in Model)
            {
            <tr>
                <td>@address.Id</td>
                <td>@address.TextLine</td>
                <td>@address.ZipCode</td>
                <td>@address.Town.Name</td>
                <td>@address.Latitude</td>
                <td>@address.Longitude</td>
                <td>
                    <a class="btn btn-default" asp-controller="Address" asp-action="Detail" asp-route-id="@address.Id">Editer</a>
                    &nbsp;
                    <a class="btn btn-danger" asp-controller="Address" asp-action="Delete" asp-route-id="@address.Id">Supprimer</a>
                </td>
            </tr>
            }
        </tbody>
    </table>
</div>